Anki Forums

Crashing Anki Version 2.1.29 (bbff62bf)

I’ve been using Anki Version 2.1.29 (bbff62bf) 2 days and today it crashed in a strange way. As illustrated by the animated .gif, warning dialogs repeatedly appear on top of each other. The only way I could stop it was using Force Quit. Following instructions by holding down the shift key when starting Anki again resulted in the same thing. Removing the application and reinstalling didn’t help. Restarting the mac didn’t help either.

I’m running 10.15.6 on a MacBook Pro

Here is the result of copying to the clipboard from that dialog:

Error
An error occurred. Please start Anki while holding down the shift key, which will temporarily disable the add-ons you have installed.
If the issue only occurs when add-ons are enabled, please use the Tools > Add-ons menu item to disable some add-ons and restart Anki, repeating until you discover the add-on that is causing the problem.
When you’ve discovered the add-on that is causing the problem, please report the issue on the add-on support site.
Debug info:
Anki 2.1.29 (bbff62bf) Python 3.8.0 Qt 5.15.0 PyQt 5.15.0
Platform: Mac 10.15.6
Flags: frz=True ao=True sv=1
Add-ons, last update check: 2020-07-31 12:50:38

Error in sys.excepthook:
Traceback (most recent call last):
File “aqt/sync.py”, line 102, in on_future_done
File “concurrent/futures/_base.py”, line 432, in result
File “concurrent/futures/_base.py”, line 388, in __get_result
File “concurrent/futures/thread.py”, line 57, in run
File “aqt/sync.py”, line 122, in
File “anki/rsbackend_gen.py”, line 519, in sync_collection
File “anki/rsbackend.py”, line 265, in _run_command
anki.rsbackend.NetworkError:

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “aqt/errors.py”, line 19, in excepthook
File “aqt/errors.py”, line 48, in write
UnicodeEncodeError: ‘ascii’ codec can’t encode character ‘\u2068’ in position 510: ordinal not in range(128)

Original exception was:
Traceback (most recent call last):
File “aqt/sync.py”, line 102, in on_future_done
File “concurrent/futures/_base.py”, line 432, in result
File “concurrent/futures/_base.py”, line 388, in __get_result
File “concurrent/futures/thread.py”, line 57, in run
File “aqt/sync.py”, line 122, in
File “anki/rsbackend_gen.py”, line 519, in sync_collection
File “anki/rsbackend.py”, line 265, in _run_command
anki.rsbackend.NetworkError:

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “aqt/sync.py”, line 50, in on_future_done
File “concurrent/futures/_base.py”, line 432, in result
File “concurrent/futures/_base.py”, line 388, in __get_result
File “concurrent/futures/thread.py”, line 57, in run
File “aqt/sync.py”, line 58, in
File “anki/rsbackend_gen.py”, line 514, in sync_status
File “anki/rsbackend.py”, line 265, in _run_command
anki.rsbackend.NetworkError:

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “aqt/taskman.py”, line 87, in _on_closures_pending
File “aqt/taskman.py”, line 59, in
File “aqt/sync.py”, line 53, in on_future_done
UnicodeEncodeError: ‘ascii’ codec can’t encode character ‘\u2068’ in position 42: ordinal not in range(128)
Error in sys.excepthook:
Traceback (most recent call last):
File “aqt/sync.py”, line 102, in on_future_done
File “concurrent/futures/_base.py”, line 432, in result
File “concurrent/futures/_base.py”, line 388, in __get_result
File “concurrent/futures/thread.py”, line 57, in run
File “aqt/sync.py”, line 122, in
File “anki/rsbackend_gen.py”, line 519, in sync_collection
File “anki/rsbackend.py”, line 265, in _run_command
anki.rsbackend.NetworkError:

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “aqt/errors.py”, line 19, in excepthook
File “aqt/errors.py”, line 48, in write
UnicodeEncodeError: ‘ascii’ codec can’t encode character ‘\u2068’ in position 510: ordinal not in range(128)

Original exception was:
Traceback (most recent call last):
File “aqt/sync.py”, line 102, in on_future_done
File “concurrent/futures/_base.py”, line 432, in result
File “concurrent/futures/_base.py”, line 388, in __get_result
File “concurrent/futures/thread.py”, line 57, in run
File “aqt/sync.py”, line 122, in
File “anki/rsbackend_gen.py”, line 519, in sync_collection
File “anki/rsbackend.py”, line 265, in _run_command
anki.rsbackend.NetworkError:

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “aqt/sync.py”, line 50, in on_future_done
File “concurrent/futures/_base.py”, line 432, in result
File “concurrent/futures/_base.py”, line 388, in __get_result
File “concurrent/futures/thread.py”, line 57, in run
File “aqt/sync.py”, line 58, in
File “anki/rsbackend_gen.py”, line 514, in sync_status
File “anki/rsbackend.py”, line 265, in _run_command
anki.rsbackend.NetworkError:

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “aqt/taskman.py”, line 87, in _on_closures_pending
File “aqt/taskman.py”, line 59, in
File “aqt/sync.py”, line 53, in on_future_done
UnicodeEncodeError: ‘ascii’ codec can’t encode character ‘\u2068’ in position 42: ordinal not in range(128)

Thanks for the report, I’ll look into it.

You should be able to work around this for now by opening Terminal.app and starting Anki with the following command:

LC_CTYPE=en_US.UTF-8 /Applications/Anki.app/Contents/MacOS/Anki
1 Like

Thank for your reply. I decided to just start over, and reinstalled. I suspect the problem is that I had followed instructions in this video to add all the add ons downloaded from this site (2.1.26 at the time)

I decided to just use a few add-ons this time.

I’m seeing another problem in Version 2.1.29 (bbff62bf). It’s not a crash, but a freezing up of the text input fields of the “Add” part. I’ve experienced the problem as a result of clicking on or dragging images in various ways, but it was only today that I found a way to reproduce it.

When the problem occurs you cannot enter anything into the 2 text fields, but you can still click the buttons which allows you to switch to the browser where the problem doesn’t seem to exist. All this is shown in the animated .gif below

I’m on a MacBook Pro running macOS 10.15.6 with these add-ons:
Advanced Browser
Batch Editing
Frozen Field
Image Occlusion Enhanced for Anki21 alpha
Review Heatmap

3 Likes

Added to https://github.com/ankitects/help-wanted/issues/17

1 Like